FreePBX 15 is Released!


(Andrew Nagy) #72

Yes. That is a key feature!


#73

Fan-freaking-tastic. Looking forward to trying that out and getting away from the all the v13 installs.

Thank you.


(Andrew Nagy) #74

Much of it is stored in json files as well so you could technically make a backup. Modify the json and import that modification.


(Franck Danard) #75

Hi my old Dicko, I recognize you well. It reminds me Elastix Forum. :slight_smile:
Just a friendly comment. Don’t hit me. :smiley:
Don’t worry anyway, If something needs to be fixed, it will be done, I’m sure. :wink:


(Mark) #76

i am looking at doing the upgrade from 14 to 15

the upgrade process says:
If you are currently using any commercial modules please ensure that they are eligible for upgrades . You can do this by looking in [System Administration], in the “Activation” tab. If a module is not eligible for upgrades, it may stop functioning!

i go to the Activation tab:

Registered Modules

Sys Admin

Expiration Date 2043-01-12 (2 Zend Resets remaining)

how do i tell if it is eligible for an upgrade?

mark


(Lorne Gaetz) #77

System admin support is perpetual, you don’t need to worry about that. Most other paid commercial modules require annual renewal, which you can read about here:
https://wiki.freepbx.org/display/FPAS/How+to+Renew+FreePBX+Commercial+Modules+Maintenance


(Mark) #78

thanks - did the upgrade
Module: “Directory”, File: “/var/www/html/admin/modules/directory/assets/less/cache/lessphp_a33c75f8fd797f5f1d0b12c94adf9d52.list missing”
Module: “Directory”, File: “/var/www/html/admin/modules/directory/assets/less/cache/lessphp_b9a32037f24c7a11a6b2cd2f7fc09919ddb91e04.css missing”
Module: “Directory”, File: “/var/www/html/admin/modules/directory/assets/less/cache/lessphp_yjp55e70p0ggoskoogk0o4swws0gos.lesscache missing”

how do i fix these?

update: found solution


(Alex) #79

Big kudos to all the team , I will be trying this new version on a fresh install in a few days


#80

Salut Franck, Ca Va?

As ever, your gallic sangfroid is noted.


(Franck Danard) #81

Oui ça va bien merci. :slight_smile:
It’s me indeed, and I can’t change everything at almost 53 years old. :wink:


#82

image

Is this not a 14->15 upgrade module? Why am I getting this error? This was a v13 distro that was upgraded to v14 via the upgrade tool.


(Lorne Gaetz) #83

Hi @1sae:

That is the message you would get if you attempt to upgrade a PBXact system. I wonder, is your system on FreePBX hosting?


(Matthew Fredrickson) #84

Yeah @lgaetz is right - the module is definitely not for updating PBXAct right now as PBXAct 15 has not been officially released yet.

Matt


(TheJames) #85

small typo there too…


Git cleanup
(Lorne Gaetz) #86

If your spell checker doesn’t recognize that word, it may require upgradation.


#87

This isn’t PBXact or hosting, it’s started with 13.0 distro, scripts to update and the 13 -> 14 upgrade tool.

image
image


(Lorne Gaetz) #88

That being the case, please open a bug ticket at https://issues.freepbx.org/. It appears the upgrade module thinks there is licensing in place that is not supported yet.


(Kapil Gupta) #89

Hi All

Reported issue i.e. https://issues.freepbx.org/browse/FREEPBX-20903 has been fixed and latest versionupgrade edge module is available. Please give try with latest edge release of version upgrade as mentioned in https://wiki.freepbx.org/pages/viewpage.action?pageId=163840098
Thanks


(Australia) #90

Respect guys ! You are champions :slight_smile:


(Lorne Gaetz) split this topic #91

A post was split to a new topic: Upgrade from 12